Summary:	fstobdf application - generate BDF font from X font server
Summary(pl.UTF-8):	Aplikacja fstobdf - generowanie fontów BDF z serwera fontów X
Name:		xorg-app-fstobdf
Version:	1.0.7
Release:	1%{?tld}
License:	MIT
Group:		X11/Applications
Source0:	https://xorg.freedesktop.org/releases/individual/app/fstobdf-%{version}.tar.xz
# Source0-md5:	06b63804f2224a9123aa00cb24cbcd1d
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libFS-devel
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-proto-xproto-devel >= 7.0.25
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The fstobdf program reads a font from X font server and prints a BDF
file on the standard output that may be used to recreate the font.
This is useful in testing servers, debugging font metrics, and
reproducing lost BDF files.

%description -l pl.UTF-8
Program fstobdf czyta font z serwera fontów X i wypisuje na
standardowe wyjście plik BDF, który może służyć do odtworzenia fontu.
Jest to przydatne do testowania serwerów, diagnostyki metryk fontów i
odzyskiwania utraconych plików BDF.

%prep
%setup -q -n fstobdf-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README.md
%attr(755,root,root) %{_bindir}/fstobdf
%{_mandir}/man1/fstobdf.1*
%changelog
* Wed Dec 13 2023 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/xorg-app-fstobdf.git;a=log;h=master

* Thu Oct 27 2022 Jakub Bogusz <qboosh@pld-linux.org> e9bb811
- updated to 1.0.7

* Fri Jan 09 2015 Jakub Bogusz <qboosh@pld-linux.org> 2367e23
- updated to 1.0.6

* Tue Apr 24 2012 Jakub Bogusz <qboosh@pld-linux.org> 8393bcb
- updated to 1.0.5

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 69cbd13
- dropped pre-cvs changelog

* Sun Oct 31 2010 Jakub Bogusz <qboosh@pld-linux.org> d8b0c28
- updated to 1.0.4

* Mon May 26 2008 Jakub Bogusz <qboosh@pld-linux.org> 0a45e46
- updated to 1.0.3

* Mon Apr 30 2007 Jakub Bogusz <qboosh@pld-linux.org> ddf9994
- informative descs from man

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 38dd507
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> be9df99
- converted to UTF-8

* Sun Oct 15 2006 Jakub Bogusz <qboosh@pld-linux.org> 6418096
- more verbose files

* Thu Apr 27 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 7a5129e
- up to 1.0.2

* Sun Apr 16 2006 Jakub Bogusz <qboosh@pld-linux.org> a3a28e5
- release 1

* Tue Jan 10 2006 Jakub Bogusz <qboosh@pld-linux.org> 77952f7
- 1.0.1 (X11R7.0 release)

* Fri Dec 09 2005 Jakub Bogusz <qboosh@pld-linux.org> 2eac38b
- 0.99.3 (X11R7.0-RC3)

* Sat Nov 19 2005 Jakub Bogusz <qboosh@pld-linux.org> 7cdb8e5
- 0.99.2 (X11R7.0-RC2)

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> 82db819
- pkgconfig epoch

* Fri Oct 21 2005 Jakub Bogusz <qboosh@pld-linux.org> 742da36
- 0.99.1 (X11R7.0-RC1)
- removed outdated man patch

* Sat Aug 27 2005 Jakub Bogusz <qboosh@pld-linux.org> 3fa5cfb
- sorted BRs

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> 04d899e
- standard permisions to binaries

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> 4630f1a
- cleanups, kill /usr/X11R6

